
package net.darkmist.defcon18;

import java.io.IOException;
import java.io.OutputStream;
import java.io.Writer;

public class EncodingStream extends OutputStream
{
	private static final char[] nibble2hex = new char[]
	{
		'0', '1', '2', '3', '4', '5', '6', '7',
			'8', '9', 'a', 'b', 'c', 'd', 'e', 'f'
	};
	private Writer writer;

	EncodingStream(Writer writer_arg)
	{
		writer = writer_arg;
	}

	@Override
	public void write(int b) throws IOException
	{
		writer.write(nibble2hex[(b>>4)&0x0f]);
		writer.write(nibble2hex[b&0x0f]);
	}

	@Override
	public void close() throws IOException
	{
		writer.close();
	}

	@Override
	public void flush() throws IOException
	{
		writer.flush();
	}
}
